Skip to content
POST /unified/emails/emails/move

Query Parameters

Refer Specifying query parameters in Truto APIs

userobject

The mailbox user whose message should be moved.

1 supported
Outlook Mail
supported
idstring
required·

The unique identifier of the mailbox user.

user_idstring

The unique identifier of the mailbox user.

1 supported
Outlook Mail
supported
Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
  • debug returns the final unified result alongside raw remote fetch information. The response is an envelope containing result (identical to unified mode output) and debug (with requestUrl, requestOptions, data, responseHeaders, and for list operations: nextCursor, isLooping, isEmptyResult, resultCount). debug is null for static responses or when truto_skip_api_call=true.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstreamdebug
truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Request Body

Refer Writing data using Unified APIs

folderobject

The destination folder where the email should be moved.

1 supported1 required
Outlook Mail
required
idstring
required·

The unique identifier for the destination folder.

idstring

The unique identifier for the email to move.

1 supported1 required
Outlook Mail
required
remote_dataRecord<string, any>

Any additional data that should be passed as part of the request body. This data is not transformed by Truto and is passed as is to the remote API.

userobject

The mailbox user whose message should be moved.

1 supported
Outlook Mail
supported
idstring
required·

The unique identifier of the mailbox user.

user_idstring

The unique identifier of the mailbox user.

1 supported
Outlook Mail
supported

Response Body

attachmentsobject[]

The attachments of the email

1 supported
Outlook Mail
supported
content_typestring

The content type of the attachment

created_atstring · date-time

The time when the attachment was created

file_namestring

The attachment's name

file_urlstring

The URL to download the attachment

idstring

The unique identifier for the attachment

bccstring[]

BCC email addresses

1 supported
Outlook Mail
supported
ccstring[]

CC email addresses

1 supported
Outlook Mail
supported
contentobject
1 supported
Outlook Mail
supported
typestring

Content type of the email

Possible values:
plain_texthtml
valuestring

The body of the email in the selected format

created_atstring · date-time

The date and time the email was created

1 supported
Outlook Mail
supported
folderobject

The folder where the email is stored

1 supported
Outlook Mail
supported
idstring

The unique identifier for a folder

fromstring

Sender email address

1 supported
Outlook Mail
supported
headersobject

Custom headers for the email

idstring

The unique identifier for the email

1 supported
Outlook Mail
supported
is_draftboolean

Indicates whether the email is saved as a draft (created but not sent yet). If true, the email is still edited or waiting to be sent

Possible values:
truefalse
1 supported
Outlook Mail
supported
prioritystring

Priority of the email

Possible values:
highnormallow
1 supported
Outlook Mail
supported
remote_dataRecord<string, any>

Raw data returned from the remote API call.

reply_tostring[]

Reply-to email address

1 supported
Outlook Mail
supported
sent_atstring · date-time

The date and time the email was sent

1 supported
Outlook Mail
supported
subjectstring

Email subject

1 supported
Outlook Mail
supported
tostring[]

Recipient email addresses

1 supported
Outlook Mail
supported
updated_atstring · date-time

The date and time the email was last updated

1 supported
Outlook Mail
supported
urlsobject[]

The email's urls

1 supported
Outlook Mail
supported
typestring

The email's URL type

urlstring

The email's URL

curl -X POST 'https://api.truto.one/unified/emails/emails/move?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json' \
  -d '{
  "id": "your_id",
  "folder": {},
  "user": {},
  "user_id": "your_user_id",
  "remote_data": {}
}'
const integratedAccountId = '<integrated_account_id>';

const body = {
  "id": "your_id",
  "folder": {},
  "user": {},
  "user_id": "your_user_id",
  "remote_data": {}
};

const response = await fetch(`https://api.truto.one/unified/emails/emails/move?integrated_account_id=${integratedAccountId}`, {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify(body),
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/emails/emails/move"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}
payload = {
    "id": "your_id",
    "folder": {},
    "user": {},
    "user_id": "your_user_id",
    "remote_data": {}
}

response = requests.post(url, headers=headers, params=params, json=payload)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

// Custom method: move
const result = await truto.unifiedApi.move(
  'emails',
  'emails',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    # Custom method: move
    result = await truto_api.unified_api.move(
        "emails",
        "emails",
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())